<div class="col-8 offset-2 mt-4">
	<h2> {{titulo}}</h2>

	<div *ngIf="loading==true" class="mt-4 text-center ">
            <img src="../../assets/imgs/ajax-loader.gif" class="loader-img">
    </div>
	<div class="col-12" *ngIf="!loading || loading==false ">
	<div class="alert alert-success" *ngIf="status_task=='success'">
		Tarea creada correctamente
	</div>
	<div class="alert alert-success" *ngIf="status_task=='error'">
		Error al crear la tarea
	</div>

	<form #taskNewForm="ngForm" (ngSubmit)="onSubmit()" class="col-8">
		<p>
			<label for="title">Título</label>
			<input type="text" id="title" name="title" class="form-control" #title="ngModel" [(ngModel)]="task.title" required>
			<br>
			<span *ngIf="!title.valid && title.touched" class="alert alert-danger"> El título no es válido</span>
		</p>
		<p>
			<label for="description">Descripción</label>
			<textarea id="description" name="description" class="form-control" #description="ngModel" [(ngModel)]="task.description"></textarea>
		</p>
		<p>
			<label for="status">Estado</label>
			<select name="status" id="status" class="form-control" #status="ngModel" [(ngModel)]="task.status">
				<option value="nueva">Nueva</option>
				<option value="pendiente">Pendiente</option>
				<option value="acabada">Acabada</option>
			</select>
		</p>
		<p>
			<input type="submit" value="{{titulo_boton}}" class="btn btn-success" [disabled]="!taskNewForm.form.valid">
		</p>
	</form>
	</div>
</div>